Package com.oracle.truffle.api.instrument

## Class QuitException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.oracle.truffle.api.nodes.ControlFlowException
        - - com.oracle.truffle.api.instrument.QuitException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class QuitException
    extends ControlFlowException

Controls breaking out of all executions and ending Truffle execution.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`QuitException()`

### Method Summary

### Methods inherited from class com.oracle.truffle.api.nodes.ControlFlowException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QuitException

    public QuitException()